-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2013, 2014. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT

-- create a new user
CREATE USER @DB_USER@ IDENTIFIED BY @DB_PASSWD@;

-- allow the user to connect to the database
grant connect to @DB_USER@;

-- provide quota on all tablespaces with BPM tables
grant unlimited tablespace to @DB_USER@;

-- grant privileges to create database objects:
grant resource to @DB_USER@;
grant create view to @DB_USER@;
grant javauserpriv to @DB_USER@;

-- grant access rights to resolve lock issues
grant execute on dbms_lock to @DB_USER@;

-- grant access rights to resolve XA related issues:
grant select on pending_trans$ to @DB_USER@;
grant select on dba_2pc_pending to @DB_USER@;
grant select on dba_pending_transactions to @DB_USER@;
-- If using Oracle 10.2.0.3 or lower JDBC driver, un-comment the following statement:
-- grant execute on dbms_system to @DB_USER@; 
-- If not using Oracle 10.2.0.4 or higher JDBC driver, comment the following statement:
grant execute on dbms_xa to @DB_USER@;
